#ifndef RECOMMENDEDSPEED_HPP
#define RECOMMENDEDSPEED_HPP

#include <vector>

class Segment : public std::vector<float>
{
    public:
        Segment(std::vector<float> vals);
        
        float getSpeed();
        void incrementIndex();
    
    protected:
        int currentIndex;
};

class Parcours : public std::vector<Segment>
{
    public:
        Parcours();
        
        Segment& getSegment();
        void incrementIndex();
    
    protected:
        int currentSegmentIndex;
};

#endif